Update comment page URL
curl --request PUT \
--url https://api.surefeedback.com/api/v1/comments/{id}/page-url \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"new_page_url": "<string>",
"update_all_comments": true,
"old_page_url": "<string>"
}
'import requests
url = "https://api.surefeedback.com/api/v1/comments/{id}/page-url"
payload = {
"new_page_url": "<string>",
"update_all_comments": True,
"old_page_url": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_page_url: '<string>', update_all_comments: true, old_page_url: '<string>'})
};
fetch('https://api.surefeedback.com/api/v1/comments/{id}/page-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Page URL updated successfully",
"data": {
"comment": {
"id": "990e8400-e29b-41d4-a716-446655440004",
"page_url": "https://example.com/new-home"
}
}
}
Comments
Update comment page URL
Move a comment to a different page URL.
PUT
/
comments
/
{id}
/
page-url
Update comment page URL
Updates the page URL for a single comment, or optionally for all comments on the same old page URL.
Path parameters
string
required
UUID of the comment.
Request body
string
required
New full page URL for the comment.
boolean
When
true, updates all comments from the old page URL.string
Required when
update_all_comments is true.{
"success": true,
"message": "Page URL updated successfully",
"data": {
"comment": {
"id": "990e8400-e29b-41d4-a716-446655440004",
"page_url": "https://example.com/new-home"
}
}
}
Was this page helpful?
⌘I